<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::kwd::SnowboyWrapper Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html">kwd</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html">SnowboyWrapper</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::kwd::SnowboyWrapper Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_snowboy_wrapper_8h_source.html">SnowboyWrapper.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab9fd186c6846d43330bc387d3dda2ea9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#ab9fd186c6846d43330bc387d3dda2ea9">SnowboyWrapper</a> (const char *resourceFilename, const char *model)</td></tr>
<tr class="separator:ab9fd186c6846d43330bc387d3dda2ea9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2a557068b5f75e4634663d49fd8586c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#ab2a557068b5f75e4634663d49fd8586c">~SnowboyWrapper</a> ()=default</td></tr>
<tr class="separator:ab2a557068b5f75e4634663d49fd8586c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4386bdd8b405fa4f962bdcebff67702"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#ae4386bdd8b405fa4f962bdcebff67702">RunDetection</a> (const int16_t *const data, const int arrayLength, bool isEnd=false)</td></tr>
<tr class="separator:ae4386bdd8b405fa4f962bdcebff67702"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae4a56327d06f6c78054d25bab8bc92a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#aae4a56327d06f6c78054d25bab8bc92a">SetSensitivity</a> (const char *sensitivity)</td></tr>
<tr class="separator:aae4a56327d06f6c78054d25bab8bc92a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac57689e4aed84ddd7653a07c85a7b5ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#ac57689e4aed84ddd7653a07c85a7b5ce">SetAudioGain</a> (const float audioGain)</td></tr>
<tr class="separator:ac57689e4aed84ddd7653a07c85a7b5ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9add51520e9462659b6ea25b2958cd22"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#a9add51520e9462659b6ea25b2958cd22">ApplyFrontend</a> (const bool applyFrontend)</td></tr>
<tr class="separator:a9add51520e9462659b6ea25b2958cd22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5b983e3fee642d9eb2c3a7faa6a7f41"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#ab5b983e3fee642d9eb2c3a7faa6a7f41">SampleRate</a> () const</td></tr>
<tr class="separator:ab5b983e3fee642d9eb2c3a7faa6a7f41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0af48fef7a71dc3a08051a4ba9451b9a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#a0af48fef7a71dc3a08051a4ba9451b9a">NumChannels</a> () const</td></tr>
<tr class="separator:a0af48fef7a71dc3a08051a4ba9451b9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48abd8c4509cb657ebd99d5ac8f8659d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#a48abd8c4509cb657ebd99d5ac8f8659d">BitsPerSample</a> () const</td></tr>
<tr class="separator:a48abd8c4509cb657ebd99d5ac8f8659d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">The wrapper class for snowboy::SnowboyDetect class.</p>
<p class="">Since the original API exposes std::string which will be ABI incompatible with GCC 5.1, this class replace them with const char*.</p>
<p class="">We keep the actual instantiation in void* pointer in this header, to prevent from other files to include snowboy-detect.h file.</p>
<p class="">Thanks to the community for the original idea: <a href="https://github.com/Kitt-AI/snowboy/issues/99">https://github.com/Kitt-AI/snowboy/issues/99</a> </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab9fd186c6846d43330bc387d3dda2ea9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9fd186c6846d43330bc387d3dda2ea9">&#9670;&nbsp;</a></span>SnowboyWrapper()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::kwd::SnowboyWrapper::SnowboyWrapper </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>resourceFilename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>model</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Call snowboy::SnowboyDetect::SnowboyDetect constructor</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">resourceFilename</td><td>for the first argument of the original API call. </td></tr>
    <tr><td class="paramname">model</td><td>for the second argument of the original API call. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab2a557068b5f75e4634663d49fd8586c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2a557068b5f75e4634663d49fd8586c">&#9670;&nbsp;</a></span>~SnowboyWrapper()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::kwd::SnowboyWrapper::~SnowboyWrapper </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9add51520e9462659b6ea25b2958cd22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9add51520e9462659b6ea25b2958cd22">&#9670;&nbsp;</a></span>ApplyFrontend()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::kwd::SnowboyWrapper::ApplyFrontend </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>applyFrontend</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Call snowboy::SnowboyDetect::ApplyFrontend</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">applyFrontend</td><td>for the first argument of the original API call. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a48abd8c4509cb657ebd99d5ac8f8659d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48abd8c4509cb657ebd99d5ac8f8659d">&#9670;&nbsp;</a></span>BitsPerSample()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int alexaClientSDK::kwd::SnowboyWrapper::BitsPerSample </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Call snowboy::SnowboyDetect::BitsPerSample</p>
<dl class="section return"><dt>Returns</dt><dd>the value of the original API call result. </dd></dl>

</div>
</div>
<a id="a0af48fef7a71dc3a08051a4ba9451b9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0af48fef7a71dc3a08051a4ba9451b9a">&#9670;&nbsp;</a></span>NumChannels()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int alexaClientSDK::kwd::SnowboyWrapper::NumChannels </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Call snowboy::SnowboyDetect::NumChannels</p>
<dl class="section return"><dt>Returns</dt><dd>the value of the original API call result. </dd></dl>

</div>
</div>
<a id="ae4386bdd8b405fa4f962bdcebff67702"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4386bdd8b405fa4f962bdcebff67702">&#9670;&nbsp;</a></span>RunDetection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int alexaClientSDK::kwd::SnowboyWrapper::RunDetection </td>
          <td>(</td>
          <td class="paramtype">const int16_t *const&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>arrayLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isEnd</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Call snowboy::SnowboyDetect::RunDetection</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td>for the first argument of the original API call. </td></tr>
    <tr><td class="paramname">arrayLength</td><td>for the second argument of the original API call. </td></tr>
    <tr><td class="paramname">isEnd</td><td>for the third argument of the original API call. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the value of the original API call result. </dd></dl>

</div>
</div>
<a id="ab5b983e3fee642d9eb2c3a7faa6a7f41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5b983e3fee642d9eb2c3a7faa6a7f41">&#9670;&nbsp;</a></span>SampleRate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int alexaClientSDK::kwd::SnowboyWrapper::SampleRate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Call snowboy::SnowboyDetect::SampleRate</p>
<dl class="section return"><dt>Returns</dt><dd>the value of the original API call result. </dd></dl>

</div>
</div>
<a id="ac57689e4aed84ddd7653a07c85a7b5ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac57689e4aed84ddd7653a07c85a7b5ce">&#9670;&nbsp;</a></span>SetAudioGain()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::kwd::SnowboyWrapper::SetAudioGain </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>audioGain</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Call snowboy::SnowboyDetect::SetAudioGain</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">audioGain</td><td>for the first argument of the original API call. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aae4a56327d06f6c78054d25bab8bc92a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae4a56327d06f6c78054d25bab8bc92a">&#9670;&nbsp;</a></span>SetSensitivity()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::kwd::SnowboyWrapper::SetSensitivity </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sensitivity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Call snowboy::SnowboyDetect::SetSensitivity</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sensitivity</td><td>for the first argument of the original API call. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/KWD/KittAi/include/KittAi/<a class="el" href="_snowboy_wrapper_8h_source.html">SnowboyWrapper.h</a></li>
<li>/workplace/avs-device-sdk/KWD/KittAi/src/<a class="el" href="_snowboy_wrapper_8cpp.html">SnowboyWrapper.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
